pcl::common::IntensityFieldAccessor< pcl::PointXYZHSV > Struct Template Reference

`#include <pcl/common/impl/intensity.hpp>`

## Public Member Functions

float | operator() (const pcl::PointXYZHSV &p) const
void | get (const pcl::PointXYZHSV &p, float &intensity) const
void | set (pcl::PointXYZHSV &p, float intensity) const
void | demean (pcl::PointXYZHSV &p, float value) const
void | add (pcl::PointXYZHSV &p, float value) const

## Detailed Description

### template<>
struct pcl::common::IntensityFieldAccessor< pcl::PointXYZHSV >

Definition at line 278 of file intensity.hpp.

## Member Function Documentation

## add()

void pcl::common::IntensityFieldAccessor< pcl::PointXYZHSV >::add | ( | pcl::PointXYZHSV & | p,
|  | float | value
| ) |  | const

inline

Definition at line 306 of file intensity.hpp.

References pcl::_PointXYZHSV::v.

## demean()

void pcl::common::IntensityFieldAccessor< pcl::PointXYZHSV >::demean | ( | pcl::PointXYZHSV & | p,
|  | float | value
| ) |  | const

inline

Definition at line 300 of file intensity.hpp.

References pcl::_PointXYZHSV::v.

## get()

void pcl::common::IntensityFieldAccessor< pcl::PointXYZHSV >::get | ( | const pcl::PointXYZHSV & | p,
|  | float & | intensity
| ) |  | const

inline

Definition at line 287 of file intensity.hpp.

References pcl::_PointXYZHSV::v.

## operator()()

float pcl::common::IntensityFieldAccessor< pcl::PointXYZHSV >::operator() | ( | const pcl::PointXYZHSV & | p | ) | const

inline

Definition at line 281 of file intensity.hpp.

References pcl::_PointXYZHSV::v.

## set()

void pcl::common::IntensityFieldAccessor< pcl::PointXYZHSV >::set | ( | pcl::PointXYZHSV & | p,
|  | float | intensity
| ) |  | const

inline

Definition at line 293 of file intensity.hpp.

References pcl::_PointXYZHSV::s, and pcl::_PointXYZHSV::v.

The documentation for this struct was generated from the following file:

- pcl/common/impl/intensity.hpp